import Essentia from "./core_api";
/**
 *
 * @class EssentiaExtractor
 * @extends {Essentia}
 */
declare class EssentiaExtractor extends Essentia {
    EssentiaModule: any;
    isDebug: boolean;
    sampleRate: any;
    frameSize: any;
    hopSize: any;
    profile: any;
    /**
     *Creates an instance of EssentiaExtractor.
    * @param {*} EssentiaModule
    * @param {boolean} [isDebug=false]
    * @memberof EssentiaExtractor
    */
    constructor(EssentiaModule: any, isDebug?: boolean);
    /**
     * Compute mel spectrogram for a given audio data along with an optional extractor profile configuration
     * @method
     * @param {Float32Array} audioData
     * @param {*} [config=this.profile]
     * @returns
     * @memberof EssentiaExtractor
     */
    melSpectrogram(audioData: Float32Array, config?: any): any[];
    /**
     * Compute frame-wise HPCP chroma feature for a given audio data along with an optional extractor profile configuration
     * @method
     * @param {Float32Array} audioData
     * @param {*} [config=this.profile]
     * @returns
     * @memberof EssentiaExtractor
     */
    hpcpgram(audioData: Float32Array, config?: any): any[];
}
export default EssentiaExtractor;
